Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.soap
Class SOAPFactory

    java.lang.Object
      javax.xml.soap.SOAPFactory

public abstract class SOAPFactory
extends Object

SOAPFactory is a factory for creating various objects that exist in the SOAP XML tree. SOAPFactory can be used to create XML fragments that will eventually end up in the SOAP part. These fragments can be inserted as children of the SOAPHeaderElement or SOAPBodyElement or SOAPEnvelope or other SOAPElement objects. SOAPFactory also has methods to create javax.xml.soap.Detail objects as well as java.xml.soap.Name objects.

Version:
  $Revision: 1.4.6.1 $
Author:
  Scott.Stark@jboss.org

Constructor Summary
`SOAPFactory()`

Method Summary
`abstract Detail` | `createDetail()` Creates a new Detail object which serves as a container for DetailEntry objects.
`abstract SOAPElement` | `createElement(Name name)` Create a SOAPElement object initialized with the given Name object.
`abstract SOAPElement` | `createElement(String localName)` Create a SOAPElement object initialized with the given local name.
`abstract SOAPElement` | `createElement(String localName, String prefix, String uri)` Create a new SOAPElement object with the given local name, prefix and uri.
`abstract Name` | `createName(String localName)` Creates a new Name object initialized with the given local name.
`abstract Name` | `createName(String localName, String prefix, String uri)` Creates a new Name object initialized with the given local name, namespace prefix, and namespace URI.
`static SOAPFactory` | `newInstance()` Creates a new instance of SOAPFactory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPFactory

    public SOAPFactory()

Method Detail

### newInstance

    public static SOAPFactory newInstance()
                                   throws SOAPException

  Creates a new instance of SOAPFactory.

  Returns:
    a new instance of a SOAPFactory
  Throws:
    `SOAPException` - if there was an error creating the default SOAPFactory

### createDetail

    public abstract Detail createDetail()
                                 throws SOAPException

  Creates a new Detail object which serves as a container for DetailEntry objects. This factory method creates Detail objects for use in situations where it is not practical to use the SOAPFault abstraction.

  Returns:
    a Detail object
  Throws:
    `SOAPException` - if there is a SOAP error

### createElement

    public abstract SOAPElement createElement(String localName)
                                       throws SOAPException

  Create a SOAPElement object initialized with the given local name.

  Parameters:
    `localName` - a String giving the local name for the new element
  Returns:
    the new SOAPElement object that was created
  Throws:
    `SOAPException` - if there is an error in creating the SOAPElement object

### createElement

    public abstract SOAPElement createElement(String localName,
                                              String prefix,
                                              String uri)
                                       throws SOAPException

  Create a new SOAPElement object with the given local name, prefix and uri.

  Parameters:
    `localName` - a String giving the local name for the new element
    `prefix` - the prefix for this SOAPElement
    `uri` - a String giving the URI of the namespace to which the new element belongs
  Returns:
    the new SOAPElement object that was created
  Throws:
    `SOAPException` - if there is an error in creating the SOAPElement object

### createElement

    public abstract SOAPElement createElement(Name name)
                                       throws SOAPException

  Create a SOAPElement object initialized with the given Name object.

  Parameters:
    `name` - a Name object with the XML name for the new element
  Returns:
    the new SOAPElement object that was created
  Throws:
    `SOAPException` - if there is an error in creating the SOAPElement object

### createName

    public abstract Name createName(String localName)
                             throws SOAPException

  Creates a new Name object initialized with the given local name. This factory method creates Name objects for use in situations where it is not practical to use the SOAPEnvelope abstraction.

  Returns:
  Throws:
    `SOAPException`

### createName

    public abstract Name createName(String localName,
                                    String prefix,
                                    String uri)
                             throws SOAPException

  Creates a new Name object initialized with the given local name, namespace prefix, and namespace URI. This factory method creates Name objects for use in situations where it is not practical to use the SOAPEnvelope abstraction.

  Parameters:
    `localName` - a String giving the local name
    `prefix` - a String giving the prefix of the namespace
    `uri` - a String giving the URI of the namespace
  Returns:
    a Name object initialized with the given local name, namespace prefix, and namespace URI
  Throws:
    `SOAPException` - if there is a SOAP error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.